Subject: [BK PATCH] Yet more USB changes for 2.5.25
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Pull from:  http://linuxusb.bkbits.net/linus-2.5

 Documentation/usb/hiddev.txt    |   15 ++
 drivers/usb/host/ohci-dbg.c     |   29 +++--
 drivers/usb/host/ohci-hcd.c     |   10 +
 drivers/usb/host/ohci-q.c       |   70 +++++++++----
 drivers/usb/host/ohci-sa1111.c  |    2 
 drivers/usb/host/ohci.h         |   17 ++-
 drivers/usb/input/hid-core.c    |  168 ++++++++++++++++++++-------------
 drivers/usb/input/hid-debug.h   |    6 -
 drivers/usb/input/hid-input.c   |    7 -
 drivers/usb/input/hid.h         |   12 +-
 drivers/usb/input/hiddev.c      |  201 ++++++++++++++++++++++++----------------
 drivers/usb/storage/transport.c |    6 +
 include/linux/hiddev.h          |   27 +++--
 13 files changed, 366 insertions(+), 204 deletions(-)
------

[email-masked], 2002-07-15 17:49:09-07:00, [email-masked]
  USB: fix flag name in ohci driver due to previous patch.

 drivers/usb/host/ohci-q.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)
------

[email-masked], 2002-07-15 17:47:21-07:00, [email-masked]
  [PATCH] ohci misc
  
  This patch  includes the innocuous bits from a larger one that
  I'm still working on (mostly unlink fixes):
  
  - updates comments
  - flags TDs that were seen in the donelist
  - removes some bogus whitespace (at EOL etc) and tabs
  - checks for an enumeration issue that might cause trouble
  - delays IRQs a bit more aggressively
  - shortens TD submit paths a smidgeon (smaller ".o")
  - updates some of the debug output
  - sanitizes usb_make_path() output on the SA-1111

 drivers/usb/host/ohci-dbg.c    |   29 ++++++++++-------
 drivers/usb/host/ohci-hcd.c    |   10 +++---
 drivers/usb/host/ohci-q.c      |   68 ++++++++++++++++++++++++++++-------------
 drivers/usb/host/ohci-sa1111.c |    2 -
 drivers/usb/host/ohci.h        |   17 +++++++---
 5 files changed, 85 insertions(+), 41 deletions(-)
------

[email-masked], 2002-07-15 17:37:47-07:00, [email-masked]
  [PATCH] A cleanup of Paul's 2.5 hiddev update.
  
  Get rid of #ifdefs in hid-core again. (For you, Greg.)
  Move the uref generation code from hid-core to hiddev to make things cleaner.

 drivers/usb/input/hid-core.c |   36 ++++------------------------------
 drivers/usb/input/hiddev.c   |   45 ++++++++++++++++++++++++++++++++++++++-----
 include/linux/hiddev.h       |    8 +++++--
 3 files changed, 51 insertions(+), 38 deletions(-)
------

[email-masked], 2002-07-15 17:19:17-07:00, [email-masked]
  [PATCH] usb-storage: catch bad commands
  
  The purpose of this patch is to trap all commands which have a bogus
  request_bufflen.  Much logic is devoted to calculating the proper length of
  the transfer, but according to discussions I've had on linux-scsi, this is
  really a bug in whatever is originating the bad command.
  
  Hopefully, after people use this patch for a while, we'll eliminate all the
  offending sources and can remove quite a bit of logic from the driver.

 drivers/usb/storage/transport.c |    6 ++++++
 1 files changed, 6 insertions(+)
------

[email-masked], 2002-07-15 17:18:59-07:00, [email-masked]
  [PATCH] Reintroduce proper returning of -EFAULT to hiddev.c
  
  One of my earlier patches backed out a change that fixed all
  copy_to_user calls to properly return -EFAULT if needed. This puts the
  change back in.

 drivers/usb/input/hiddev.c |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)
------

[email-masked], 2002-07-15 17:18:42-07:00, [email-masked]
  [PATCH] Updates for hiddev by Paul Stewart
  
  I've merged a patch Paul Stewart sent me some time ago, which should make life
  easier for the guys writing UPS daemons.

 Documentation/usb/hiddev.txt  |   15 ++++
 drivers/usb/input/hid-core.c  |  132 +++++++++++++++++++++++++++++-----------
 drivers/usb/input/hid-debug.h |    6 -
 drivers/usb/input/hid-input.c |    7 +-
 drivers/usb/input/hid.h       |   12 ++-
 drivers/usb/input/hiddev.c    |  138 ++++++++++++++++++++++--------------------
 include/linux/hiddev.h        |   19 ++++-
 7 files changed, 211 insertions(+), 118 deletions(-)
------